Class LabelSearcher
java.lang.Object
com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
com.atlassian.jira.dev.reference.plugin.searchers.LabelSearcher
- All Implemented Interfaces:
CustomFieldSearcher,FieldSortsCustomFieldSearcher,CustomFieldStattable,IssueSearcher<CustomField>
public class LabelSearcher
extends AbstractInitializationCustomFieldSearcher
implements CustomFieldSearcher, FieldSortsCustomFieldSearcher, CustomFieldStattable
Reference class that implements a custom field searcher - in this case for labels.
- Since:
- v4.3
-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionLabelSearcher(JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, JiraAuthenticationContext authenticationContext, FieldVisibilityManager fieldVisibilityManager) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that can be used to handle the clauses that this searcher generates.getFieldSorts(CustomField customField, FieldSort.Order order) Get the index field sorts for the provided custom fieldProvides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.getStatisticsMapper(CustomField customField) Since Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues.voidinit(CustomField field) Initialises the searcher with a given field.Methods inherited from class com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
getDescriptor, initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.customfields.CustomFieldSearcher
getDescriptor, init
-
Constructor Details
-
LabelSearcher
public LabelSearcher(JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, JiraAuthenticationContext authenticationContext, FieldVisibilityManager fieldVisibilityManager)
-
-
Method Details
-
init
Description copied from interface:IssueSearcherInitialises the searcher with a given field.- Specified by:
initin interfaceIssueSearcher<CustomField>- Parameters:
field- the field object. This may be null. (So you can have searchers on non-fields)
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<CustomField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<CustomField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<CustomField>- Returns:
- the search renderer for this searcher.
-
getCustomFieldSearcherClauseHandler
Description copied from interface:CustomFieldSearcherProvides an object that can be used to handle the clauses that this searcher generates.- Specified by:
getCustomFieldSearcherClauseHandlerin interfaceCustomFieldSearcher- Returns:
- an object that can be used to handle the clauses that this searcher generates, can be null.
-
getFieldSorts
Description copied from interface:FieldSortsCustomFieldSearcherGet the index field sorts for the provided custom field- Specified by:
getFieldSortsin interfaceFieldSortsCustomFieldSearcher- Returns:
- the index field sorts for the provided custom field
-
getStatisticsMapper
Description copied from interface:CustomFieldStattableSince Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues. Before Jira v8.0 "stattable" fields were retrieved from a Jira cache build from from Lucene index. Since Jira v8.0 this cache is using LuceneDocValuesdirectly. SeeDocValuesand supported implementations for details.- Specified by:
getStatisticsMapperin interfaceCustomFieldStattable
-